/**
 * ##########################################################################
 *
 * Base style to make Gutenberg style display more or less correctly in front 
 *
 * ##########################################################################
 */


/* ANCHOR - Alignment & floats */
.alignleft {
    float: left;
    margin-right: 1.5em;
}

.alignright {
    float: right;
    margin-left: 1.5em;
}

.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.wp-block-image.alignleft,
.wp-block-image.alignright {
    max-width: 50%;
}

.wp-block-image.alignright>figcaption {
    text-align: right;
}


/* ANCHOR - Clearfix for wrapped content */
/* This is what makes text wrap correctly around floated blocks */
.single-content {
    width: 100%;
}

.container { /* remove if bootstrap is not used */
    max-width: var(--wp--style--global--content-size);
}

.entry-content {
    width: 100%;
    max-width: 100%;
    margin: 0;
    padding: 0;
}

.entry-content .wp-block::after {
    content: "";
    display: table;
    clear: both;
}


/* ANCHOR - Width & alignment system (content / wide / full) */
.entry-content > *:not(.alignwide):not(.alignfull) {
    max-width: var(--wp--style--global--content-size);
    margin-left: auto;
    margin-right: auto;
}

.entry-content > .alignwide {
    max-width: var(--wp--style--global--wide-size);
    margin-left: auto;
    margin-right: auto;
}

.entry-content > .alignfull {
    width: 100%;
    max-width: none;
}


/* ANCHOR - Default elements margin (to mimic Gutenberg behaviour) */
.entry-content > * { /* => equivalent to Gutenberg default ":root :where(.is-layout-flow) > *" */
    margin-block-start: 24px;
    margin-block-end: 0;
}

.entry-content > :first-child { /* => equivalent to Gutenberg default ":root :where(.is-layout-flow) > :first-child" */
    margin-block-start: 0;
}